org.apache.hadoop.mapreduce.v2.proto

## Interface MRServiceProtos.GetJobReportResponseProtoOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    MRServiceProtos.GetJobReportResponseProto, MRServiceProtos.GetJobReportResponseProto.Builder
  Enclosing class:
    MRServiceProtos

      public static interface MRServiceProtos.GetJobReportResponseProtoOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `MRProtos.JobReportProto` | `getJobReport()` `optional .hadoop.mapreduce.JobReportProto job_report = 1;`
    `MRProtos.JobReportProtoOrBuilder` | `getJobReportOrBuilder()` `optional .hadoop.mapreduce.JobReportProto job_report = 1;`
    `boolean` | `hasJobReport()` `optional .hadoop.mapreduce.JobReportProto job_report = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasJobReport

          boolean hasJobReport()

      `optional .hadoop.mapreduce.JobReportProto job_report = 1;`

    - #### getJobReport

          MRProtos.JobReportProto getJobReport()

      `optional .hadoop.mapreduce.JobReportProto job_report = 1;`

    - #### getJobReportOrBuilder

          MRProtos.JobReportProtoOrBuilder getJobReportOrBuilder()

      `optional .hadoop.mapreduce.JobReportProto job_report = 1;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.